# class Gtk::Builder

### Private Instance Methods

__connect_signals__(connector, object, signal_name, handler_name, connect_object, flags) click to toggle source

    # File lib/gtk2/base.rb, line 66
    def __connect_signals__(connector, object, signal_name,
                            handler_name, connect_object, flags)
      handler_name = canonical_handler_name(handler_name)
      if connect_object
        handler = connect_object.method(handler_name)
      else
        handler = connector.call(handler_name)
      end
      unless handler
        $stderr.puts("Undefined handler: #{handler_name}") if $DEBUG
        return
      end

      if flags.after?
        signal_connect_method = :signal_connect_after
      else
        signal_connect_method = :signal_connect
      end

      if handler.arity.zero?
        object.send(signal_connect_method, signal_name) {handler.call}
      else
        object.send(signal_connect_method, signal_name, &handler)
      end
    end

canonical_handler_name(name) click to toggle source

    # File lib/gtk2/base.rb, line 62
    def canonical_handler_name(name)
      name.gsub(/[-\s]+/, "_")
    end